Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001722KdenliveUser Interfacepublic2010-08-01 19:562010-09-14 23:01
Reportertidris769 
Assigned Toj-b-m 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSKubuntu LinuxOS Version9.10
Product VersionRecent git 
Target VersionFixed in Version0.7.8 
Summary0001722: Severe audio distortion with overlapped clips
DescriptionIn some cases there is very severe audio distortion when playing the time line (and also in the rendered video) when two clips overlap in the time line. This problem has been around for a long time but I recently came up with a reproducible case.
Steps To Reproduce1- Create a new project with profile 720p 59.94 fps.
2- Add the attached video clip to the project.
3- Drag the video clip to track 1 in the time line.
4- Cut the clip in half with the razor tool.
5- Drag one of the two clip pieces to track 2 so it partially overlaps the clip piece still in track 1.
6- Play the project. Note the severe audio distortion when playing the section where the two clips overlap.
7- Render the project. Note the rendered video has the same distortion.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files? file icon t.mpg [^] (3,658,291 bytes) 2010-08-01 19:56
? file icon rendered.mpg [^] (4,343,737 bytes) 2010-08-09 14:51
? file icon t1.kdenlive [^] (16,243 bytes) 2010-08-09 14:56

- Relationships

-  Notes
(0005444)
maxkessler (reporter)
2010-08-02 20:37

I'm having the same issue. Do audio tracks need composite transitions to be mixed?
(0005445)
tidris769 (reporter)
2010-08-02 21:23
edited on: 2010-08-02 21:42

This distortion shows up when the clips that overlap are pieces cut from a common clip. If the overlapping clips aren't cut pieces the audio mixes without distortion, from what I have seen so far. Also sometimes I am able to get rid of the distortion by messing around with the cut clip pieces, but I haven't been able to pinpoint exactly what sequence of steps can make the distortion go away.

(0005485)
ttill (developer)
2010-08-08 21:10

I also have this issue with latest devel versions of kdenlive, mlt.
@maxkessler: audio does not need such a transition, composite is video only.
(0005497)
tidris769 (reporter)
2010-08-09 15:01
edited on: 2010-08-09 15:04

I attached file rendered.mpg. The first half shows the severe audio distortion with overlapped cut clip pieces. The second half shows no distortion with overlapped clips that are not cut pieces.

I also attached the t1.kdenlive project used to create that video. When I play the project with melt I hear distortion with the overlapped cut clip pieces but it isn't as severe as when kdenlive plays the project. Maybe this bug should be reclassified as an MLT issue instead?

(0005500)
j-b-m (administrator)
2010-08-09 21:43
edited on: 2010-08-09 21:44

The problem comes from a known issue in MLT: audio is distorted when mixing the same producer clip on 2 different tracks.

To work around that, Kdenlive creates one producer for each track (for those interested, the clip producers have a unique id number like "3". Kdenlive will then create a new copy of the producer for each track , like: "3_1" and "3_2" for tracks 1 and 2). That way, we can mix the same clip without distortion.

Somehow a bug was introduced in Kdenlive that prevented that workaround to really work when moving a clip from one track to another.

Issue should now be fixed in Kdenlive svn rev 4694, but if you have an existing project that has this issue, you will need to move your clip to another track then undo the move to fix the problem.

Feedback welcome

(0005501)
tidris769 (reporter)
2010-08-09 22:42

It looks fixed in svn 4694. Thank you!!!
(0005541)
ttill (developer)
2010-08-11 13:53

Also fixed for me.

- Issue History
Date Modified Username Field Change
2010-08-01 19:56 tidris769 New Issue
2010-08-01 19:56 tidris769 File Added: t.mpg
2010-08-02 20:37 maxkessler Note Added: 0005444
2010-08-02 21:23 tidris769 Note Added: 0005445
2010-08-02 21:23 tidris769 Note Edited: 0005445 View Revisions
2010-08-02 21:42 tidris769 Note Edited: 0005445 View Revisions
2010-08-08 21:10 ttill Note Added: 0005485
2010-08-08 21:11 ttill Status new => acknowledged
2010-08-09 14:51 tidris769 File Added: rendered.mpg
2010-08-09 14:56 tidris769 File Added: t1.kdenlive
2010-08-09 15:01 tidris769 Note Added: 0005497
2010-08-09 15:03 tidris769 Note Edited: 0005497 View Revisions
2010-08-09 15:04 tidris769 Note Edited: 0005497 View Revisions
2010-08-09 21:01 j-b-m Assigned To => j-b-m
2010-08-09 21:01 j-b-m Status acknowledged => assigned
2010-08-09 21:43 j-b-m Note Added: 0005500
2010-08-09 21:43 j-b-m Status assigned => feedback
2010-08-09 21:44 j-b-m Note Edited: 0005500 View Revisions
2010-08-09 22:42 tidris769 Note Added: 0005501
2010-08-09 22:42 tidris769 Status feedback => assigned
2010-08-11 13:53 ttill Note Added: 0005541
2010-08-11 13:53 ttill Status assigned => resolved
2010-08-11 13:53 ttill Resolution open => fixed
2010-08-11 13:53 ttill Fixed in Version => Recent git
2010-09-14 11:00 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:01 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker